NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.MoldFillingBuilder Class Reference

Builder used to add a gate/runner standard part from fill library, it returns a null reference (Nothing in Visual Basic). More...

Inheritance diagram for NXOpen.Tooling.MoldFillingBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  InstallOption { AddInstance, NewComponent }
 The installation type of the fill component. More...
 
enum  MoveOption { Move, CopyInstance, CopyPart }
 The modification options of the selected fill component. More...
 

Public Member Functions

unsafe void AddFillingComponents ()
 Adds gate or runner component. More...
 
unsafe void AskFillLibraryData (bool isFromMemberView, string libName, string libPath)
 Gets fill standard part library data. More...
 
unsafe void CreateCloneObject ()
 Creates clone object. More...
 
unsafe void DeleteFill ()
 Deletes selected fill component. More...
 
unsafe void EditComponentDimensions (NXOpen.Assemblies.Component addedPartOcc)
 Edits standard part dimensions. More...
 
unsafe void GateLayoutAction ()
 Places the gate as product layout. More...
 
unsafe NXOpen.Tooling.CloneObject GetCloneObject ()
 Gets clone client data. More...
 
unsafe void GetDataFromSelectedFillComponent (NXOpen.Tooling.SpreadsheetData sheetData)
 Gets spreadsheet data from specified fill component. More...
 
unsafe NXOpen.Assemblies.Component GetLastFillComponent ()
 Gets the last selected fill component. More...
 
unsafe void PreviewSelectedFillComponent ()
 Preview selected fill component. More...
 
unsafe void RemoveAddedComponents ()
 Removes added fill components. More...
 
unsafe void SaveEditingFillComponentPosition (NXOpen.Matrix3x3 matrix, NXOpen.Point3d position)
 Saves the position of fill component to be edit. More...
 
unsafe void SetActiveFillComponent (NXOpen.Assemblies.Component activePartOcc)
 Sets the specified component as the active component. More...
 
unsafe void SetClientDataWithSelectedItem (string catalogName, string descriptiveName)
 Gets selected part data, and assign it to standard part client data. More...
 
unsafe void SetCloneObject (NXOpen.Tooling.CloneObject cloneObject)
 Sets clone client data. More...
 
unsafe void SetFillClientData (NXOpen.Tooling.StandardPartData clientData)
 Sets standard part client data. More...
 
unsafe void SetLastFillComponent (NXOpen.Assemblies.Component lastFillComponent)
 Sets the last selected fill component. More...
 
unsafe void SetManipulatorPosition (NXOpen.Matrix3x3 matrix, NXOpen.Point3d position)
 Sets manipulator position. More...
 
unsafe void SetParameterTreeData (NXOpen.Tooling.SpreadsheetData sheetData)
 Sets spreadsheet data. More...
 
unsafe void SetParentAsWorkPart (NXOpen.Tooling.SpreadsheetData sheetData)
 Sets parent part as work part according to the value defined in sheet. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Assemblies.SelectComponentList 
AddedGatesByRunner [get]
 Returns the gates added by selecting a runner body. More...
 
unsafe bool Constraint [get, set]
 Returns or sets a value that indicates whether adding a constraint when placing a fill component. More...
 
unsafe
NXOpen.Assemblies.SelectComponent 
FillComponent [get]
 Returns the fill component to be edit. More...
 
unsafe
NXOpen.Tooling.MoldFillingBuilder.InstallOption 
InstallOptions [get, set]
 Returns or sets the installation option when adding multiple gates one time. More...
 
unsafe bool IsBalanced [get, set]
 Returns or sets a value that indicates whether placing gates as product layout. More...
 
unsafe bool MoveAllGates [get, set]
 Returns or sets a value that indicates whether to move all gates or not when moving the active gate. More...
 
unsafe
NXOpen.Tooling.MoldFillingBuilder.MoveOption 
MoveOptions [get, set]
 Returns or sets the modification option. More...
 
unsafe NXOpen.SelectNXObject PositionObject [get]
 Returns the position object(point or runner body) used to place a gate component. More...
 
unsafe NXOpen.Point PositionPoint [get, set]
 Returns or sets the point used to place a runner component. More...
 
unsafe bool Rename [get, set]
 Returns or sets a value that indicates whether the rename dialog should be activated when adding a fill component. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder used to add a gate/runner standard part from fill library, it returns a null reference (Nothing in Visual Basic).

To create a new instance of this class, use NXOpen.Tooling.MoldwizardManager.CreateMoldFillingBuilder

Default values.

Property Value

Constraint

0

InstallOptions

AddInstance

IsBalanced

0

MoveAllGates

1

MoveOptions

Move

Rename

0

Created in NX11.0.0

Member Enumeration Documentation

The installation type of the fill component.

Enumerator
AddInstance 

Instance

NewComponent 

New part

The modification options of the selected fill component.

Enumerator
Move 

Modifying current component

CopyInstance 

Copying instance and Modifying

CopyPart 

Copying new part and Modifying

Member Function Documentation

unsafe void NXOpen.Tooling.MoldFillingBuilder.AddFillingComponents ( )
inline

Adds gate or runner component.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.MoldFillingBuilder.AskFillLibraryData ( bool  isFromMemberView,
string  libName,
string  libPath 
)
inline

Gets fill standard part library data.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
isFromMemberViewTrue if user drags an fill item from reuse library
libNameName of the fill library
libPathPath of the fill library
unsafe void NXOpen.Tooling.MoldFillingBuilder.CreateCloneObject ( )
inline

Creates clone object.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.MoldFillingBuilder.DeleteFill ( )
inline

Deletes selected fill component.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.MoldFillingBuilder.EditComponentDimensions ( NXOpen.Assemblies.Component  addedPartOcc)
inline

Edits standard part dimensions.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
addedPartOccThe component to be edit
unsafe void NXOpen.Tooling.MoldFillingBuilder.GateLayoutAction ( )
inline

Places the gate as product layout.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe NXOpen.Tooling.CloneObject NXOpen.Tooling.MoldFillingBuilder.GetCloneObject ( )
inline

Gets clone client data.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

Returns
A NXOpen.Tooling.CloneObject instance
unsafe void NXOpen.Tooling.MoldFillingBuilder.GetDataFromSelectedFillComponent ( NXOpen.Tooling.SpreadsheetData  sheetData)
inline

Gets spreadsheet data from specified fill component.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
sheetDataSpreadsheet data
unsafe NXOpen.Assemblies.Component NXOpen.Tooling.MoldFillingBuilder.GetLastFillComponent ( )
inline

Gets the last selected fill component.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Returns
unsafe void NXOpen.Tooling.MoldFillingBuilder.PreviewSelectedFillComponent ( )
inline

Preview selected fill component.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.MoldFillingBuilder.RemoveAddedComponents ( )
inline

Removes added fill components.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.MoldFillingBuilder.SaveEditingFillComponentPosition ( NXOpen.Matrix3x3  matrix,
NXOpen.Point3d  position 
)
inline

Saves the position of fill component to be edit.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
matrixTransform matrix of the editing component
positionTransform origin point of the editing component
unsafe void NXOpen.Tooling.MoldFillingBuilder.SetActiveFillComponent ( NXOpen.Assemblies.Component  activePartOcc)
inline

Sets the specified component as the active component.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
activePartOccThe component to be set as the active component
unsafe void NXOpen.Tooling.MoldFillingBuilder.SetClientDataWithSelectedItem ( string  catalogName,
string  descriptiveName 
)
inline

Gets selected part data, and assign it to standard part client data.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
catalogNameCatalog name of the fill component
descriptiveNameDescriptive name of the fill component
unsafe void NXOpen.Tooling.MoldFillingBuilder.SetCloneObject ( NXOpen.Tooling.CloneObject  cloneObject)
inline

Sets clone client data.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
cloneObjectA NXOpen.Tooling.CloneObject instance
unsafe void NXOpen.Tooling.MoldFillingBuilder.SetFillClientData ( NXOpen.Tooling.StandardPartData  clientData)
inline

Sets standard part client data.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
clientDataStandard part client data
unsafe void NXOpen.Tooling.MoldFillingBuilder.SetLastFillComponent ( NXOpen.Assemblies.Component  lastFillComponent)
inline

Sets the last selected fill component.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
lastFillComponent
unsafe void NXOpen.Tooling.MoldFillingBuilder.SetManipulatorPosition ( NXOpen.Matrix3x3  matrix,
NXOpen.Point3d  position 
)
inline

Sets manipulator position.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
matrixMatrix of the specified coordinates
positionOrigin point of the specified coordinates
unsafe void NXOpen.Tooling.MoldFillingBuilder.SetParameterTreeData ( NXOpen.Tooling.SpreadsheetData  sheetData)
inline

Sets spreadsheet data.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
sheetDataSpreadsheet data
unsafe void NXOpen.Tooling.MoldFillingBuilder.SetParentAsWorkPart ( NXOpen.Tooling.SpreadsheetData  sheetData)
inline

Sets parent part as work part according to the value defined in sheet.

Created in NX12.0.2

License requirements: ug_mold_design ("UG MOLD")

Parameters
sheetDataSpreadsheet data

Property Documentation

unsafe NXOpen.Assemblies.SelectComponentList NXOpen.Tooling.MoldFillingBuilder.AddedGatesByRunner
get

Returns the gates added by selecting a runner body.

Created in NX11.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.MoldFillingBuilder.Constraint
getset

Returns or sets a value that indicates whether adding a constraint when placing a fill component.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")

unsafe NXOpen.Assemblies.SelectComponent NXOpen.Tooling.MoldFillingBuilder.FillComponent
get

Returns the fill component to be edit.

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Tooling.MoldFillingBuilder.InstallOption NXOpen.Tooling.MoldFillingBuilder.InstallOptions
getset

Returns or sets the installation option when adding multiple gates one time.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")

unsafe bool NXOpen.Tooling.MoldFillingBuilder.IsBalanced
getset

Returns or sets a value that indicates whether placing gates as product layout.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")

unsafe bool NXOpen.Tooling.MoldFillingBuilder.MoveAllGates
getset

Returns or sets a value that indicates whether to move all gates or not when moving the active gate.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")

unsafe NXOpen.Tooling.MoldFillingBuilder.MoveOption NXOpen.Tooling.MoldFillingBuilder.MoveOptions
getset

Returns or sets the modification option.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")

unsafe NXOpen.SelectNXObject NXOpen.Tooling.MoldFillingBuilder.PositionObject
get

Returns the position object(point or runner body) used to place a gate component.

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Tooling.MoldFillingBuilder.PositionPoint
getset

Returns or sets the point used to place a runner component.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")

unsafe bool NXOpen.Tooling.MoldFillingBuilder.Rename
getset

Returns or sets a value that indicates whether the rename dialog should be activated when adding a fill component.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.